Subject: Re: [permaculture] Poison ivy eradication

From: Steve Diver <[email-masked]>
Date: Sat, 14 Jun 2003 09:29:33 -0500

Roundup has systemic action so it goes into the roots
and kills the plant.  Yet, for poison ivy you will often
need to spray more than once for effective kill due
to its tenacious, perennial nature.

If you have a patch of poison ivy that is 5 feet
wide and 20 feet long, or some patch that is too 
big for careful hand removal, that's where Roundup
is useful.  

For a few plants, you can just chop the plant
stem at the base with a long-handled shovel. 

If you see a poison ivy trunk growing up a 
tree.... even monster trunks up to 3-4 inches
in diameter.... you can wait until winter. 
In the dormant season, you can cut the woody
trunk at the base.  Interestingly, severing
a big vine in the dormant season is often 
fatal to the plant. It does not sprout back.  

I forgot to mention that the Tecnu brand of 
products has revolutionized the alleviation 
of suffering from rashes.  It removes the
urushiol oils from your skin, which soap
and water alone don't do very well. Washing
with Tecnu helps avoid a rash developing,
and reduces suffering once you do get it.
Washing your clothes with Tecnu can help
prevent re-exposure.  

http://www.teclabsinc.com/

Tecnu
Calagel
IvyStat!
CortiCool

I'm working through my 3rd rash this season.
There are two roadside vegetation and
gardening projects I'm working on with monster 
poison ivy patches, so it's on my mind. 

Steve Diver 

_______________________________________________
permaculture mailing list
[email-masked]
http://lists.ibiblio.org/mailman/listinfo/permaculture